Geleisteten Dienst bestätigen
curl --request POST \
--url https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "confirmed",
"counted": true,
"dutyId": "<string>",
"dutyName": "<string>",
"eventId": "<string>",
"eventTitle": "<string>",
"occurrenceKey": "<string>",
"occurrenceStart": "<string>",
"completedOn": "<string>",
"year": 123,
"source": "event",
"slotLabel": "<string>",
"member": {
"userId": "<string>",
"membershipId": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>",
"role": "owner",
"profileUrl": "<string>"
},
"decidedAt": "<string>",
"rejectReason": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Dienste
Geleisteten Dienst bestätigen
Wie „Dienst bestätigen“ in der Oberfläche: Der Dienst zählt ab jetzt als geleistet, das Mitglied bekommt eine Benachrichtigung; Eintrag im Protokoll. Auch ein abgelehnter Dienst lässt sich so bestätigen (Korrektur). Ist der Dienst schon bestätigt, bleibt er unverändert (Antwort 200, keine zweite Benachrichtigung).
POST
/
api
/
rest
/
v1
/
communities
/
{slug}
/
duty-completions
/
{completionId}
/
confirm
Geleisteten Dienst bestätigen
curl --request POST \
--url https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanz}/api/rest/v1/communities/{slug}/duty-completions/{completionId}/confirm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "confirmed",
"counted": true,
"dutyId": "<string>",
"dutyName": "<string>",
"eventId": "<string>",
"eventTitle": "<string>",
"occurrenceKey": "<string>",
"occurrenceStart": "<string>",
"completedOn": "<string>",
"year": 123,
"source": "event",
"slotLabel": "<string>",
"member": {
"userId": "<string>",
"membershipId": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>",
"role": "owner",
"profileUrl": "<string>"
},
"decidedAt": "<string>",
"rejectReason": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Path Parameters
Response
OK